Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problem with x11drv?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
zombics
n00b
n00b


Joined: 28 Feb 2005
Posts: 30
Location: israel

PostPosted: Sun Mar 13, 2005 9:57 pm    Post subject: problem with x11drv? Reply with quote

when i am trying to compile wine(gentoo amd64 2005.0)
i get this error:
Code:

/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libXext.a when searching for -lXext
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lXext
collect2: ld returned 1 exit status
winegcc: gcc failed.
make[2]: *** [x11drv.dll.so] Error 2
make[2]: Leaving directory `/var/tmp/portage/wine-20050310/work/wine-20050310/dlls/x11drv'
make[1]: *** [x11drv] Error 2
make[1]: Leaving directory `/var/tmp/portage/wine-20050310/work/wine-20050310/dlls'
make: *** [dlls] Error 2

!!! ERROR: app-emulation/wine-20050310 failed.
!!! Function src_compile, Line 91, Exitcode 2
!!! all
!!! If you need support, post the topmost build error, NOT this status message.

and when i am trying to run a gam with cegeda i get this error:
Code:

Could not load graphics driver 'x11drv'
Could not load graphics driver 'x11drv'
Back to top
View user's profile Send private message
zombics
n00b
n00b


Joined: 28 Feb 2005
Posts: 30
Location: israel

PostPosted: Sun Mar 13, 2005 10:06 pm    Post subject: Reply with quote

in cedega chat i was told that i need to emerge it with --force-tls=classic
can i do it?
Back to top
View user's profile Send private message
asjapulk
n00b
n00b


Joined: 15 Apr 2004
Posts: 71

PostPosted: Sun Mar 13, 2005 10:26 pm    Post subject: Reply with quote

I have the same problem. Have been installing different versions of cedega and trying to install different versions of wine-cvs all evening. Got the same errors.
Please help!
Back to top
View user's profile Send private message
Shapemaker
n00b
n00b


Joined: 22 Aug 2004
Posts: 64
Location: Finland

PostPosted: Mon Mar 14, 2005 1:52 am    Post subject: Reply with quote

Here's a patch that will solve the problem. I adopted it from bug 82758.
Code:
--- wine-20050310.ebuild.orig   2005-03-13 13:00:04.000000000 +0200
+++ wine-20050310.ebuild   2005-03-14 03:06:14.000000000 +0200
@@ -27,14 +27,24 @@
    jpeg? ( media-libs/jpeg )
    glut? ( virtual/glut )
    lcms? ( media-libs/lcms )
-   amd64? (
-      app-emulation/emul-linux-x86-xlibs
-      app-emulation/emul-linux-x86-soundlibs
+   amd64? ( X? app-emulation/emul-linux-x86-xlibs \
+      alsa? app-emulation/emul-linux-x86-soundlibs \
+      jack? app-emulation/emul-linux-x86-soundlibs
    )"
+
 DEPEND="${RDEPEND}
    sys-devel/bison
    doc? ( app-text/docbook-sgml-utils app-text/jadetex )
    sys-devel/flex"
+   
+pkg_setup() {
+   has_m32 || die "your compiler seems to be unable to compile 32bit code. if
+   you are on amd64, make sure you compile gcc with USE=multilib
+   FEATURES=-sandbox"
+   
+   ABI_ALLOW="x86"
+   ABI="x86"
+}
 
 src_unpack() {
    unpack Wine-${PV}.tar.gz
@@ -76,6 +86,19 @@
       export DB2PS=true
    fi
 
+   if use amd64; then
+      if [ -f /usr/lib32/libX11.so ]; then 
+         myconf="${myconf} --x-libraries=/usr/lib32"
+      elif [ -f /emul/linux/x86/usr/lib/libX11.so ]; then
+         myconf="${myconf} --x-libraries=/emul/linux/x86/usr/lib"
+      elif [ -f /emul/linux/x86/usr/X11R6/lib/libX11.so ]; then
+         myconf="${myconf} --x-libraries=/emul/linux/x86/usr/X11R6/lib"
+      else
+         eerror "Couldn't find your 32bit X libs"
+         die "Couldn't find your 32bit X libs"
+      fi
+   fi
+
    #   $(use_enable amd64 win64)
    # USE=debug is broken in this release
    econf \
@@ -85,6 +108,7 @@
       $(use_with X x) \
       $(use_enable debug trace) \
       $(use_enable debug) \
+      ${myconf} \
       || die "configure failed"
 
    emake -j1 depend || die "depend"

Save the patch as "wine-20050310-amd64.diff" and patch the wine-20050310.ebuild (which you first copy to your portage overlay directory). Then do
Code:
# ebuild /path-to-your-portage-overlay/wine/wine-20050310.ebuild digest

to update portage manifest & digest files in your overlay directory. Then try to emerge wine again - now it should work. Oh, by the way, make sure that current emul-linux-x86-xlibs is installed (in /emul/linux/x86 on my machine with the 2005.0 profile).
_________________
"Intellectual Property" should be an affront to anyone capable of independent thought.
Back to top
View user's profile Send private message
Shapemaker
n00b
n00b


Joined: 22 Aug 2004
Posts: 64
Location: Finland

PostPosted: Mon Mar 14, 2005 2:28 am    Post subject: Reply with quote

I entered this into bug database as bug #85159.
_________________
"Intellectual Property" should be an affront to anyone capable of independent thought.
Back to top
View user's profile Send private message
asjapulk
n00b
n00b


Joined: 15 Apr 2004
Posts: 71

PostPosted: Mon Mar 14, 2005 5:46 am    Post subject: Reply with quote

ok. Does that mean that I have to update to 2005.0 to compile wine-cvs?

What about cedega? Anyone knows why the "x11drv" error occures?
Back to top
View user's profile Send private message
Shapemaker
n00b
n00b


Joined: 22 Aug 2004
Posts: 64
Location: Finland

PostPosted: Mon Mar 14, 2005 7:32 am    Post subject: Reply with quote

asjapulk wrote:
ok. Does that mean that I have to update to 2005.0 to compile wine-cvs?

Most likely yes, since this fix requires natively compiled 32-bit libraries from glibc (aka 2005.0 profile's glibc/toolchain & native multilib).
Quote:
What about cedega? Anyone knows why the "x11drv" error occures?

The x11drv error occurs because the linker does not traverse the correct path(s) while trying to find the 32-bit X11 libraries. What it finds are 64-bit libs, and 32-bit code cannot be linked against those libraries due to differences in certain structures. Package emul-linux-x86-xlibs has those files, but search paths are currently not correctly set in the wine ebuild.
_________________
"Intellectual Property" should be an affront to anyone capable of independent thought.
Back to top
View user's profile Send private message
asjapulk
n00b
n00b


Joined: 15 Apr 2004
Posts: 71

PostPosted: Mon Mar 14, 2005 7:49 am    Post subject: Reply with quote

Thanks for quick and thorough answer. Hope the ebuilds will be fixed soon. Meantime I'll take a leap into unknown and switch to 2005.0. Hope that it doesn't break anything important.

Kiitos :wink:
Back to top
View user's profile Send private message
zombics
n00b
n00b


Joined: 28 Feb 2005
Posts: 30
Location: israel

PostPosted: Tue Mar 15, 2005 7:58 pm    Post subject: Reply with quote

Shapemaker wrote:
Here's a patch that will solve the problem. I adopted it from bug 82758.
Code:
--- wine-20050310.ebuild.orig   2005-03-13 13:00:04.000000000 +0200
+++ wine-20050310.ebuild   2005-03-14 03:06:14.000000000 +0200
@@ -27,14 +27,24 @@
    jpeg? ( media-libs/jpeg )
    glut? ( virtual/glut )
    lcms? ( media-libs/lcms )
-   amd64? (
-      app-emulation/emul-linux-x86-xlibs
-      app-emulation/emul-linux-x86-soundlibs
+   amd64? ( X? app-emulation/emul-linux-x86-xlibs \
+      alsa? app-emulation/emul-linux-x86-soundlibs \
+      jack? app-emulation/emul-linux-x86-soundlibs
    )"
+
 DEPEND="${RDEPEND}
    sys-devel/bison
    doc? ( app-text/docbook-sgml-utils app-text/jadetex )
    sys-devel/flex"
+   
+pkg_setup() {
+   has_m32 || die "your compiler seems to be unable to compile 32bit code. if
+   you are on amd64, make sure you compile gcc with USE=multilib
+   FEATURES=-sandbox"
+   
+   ABI_ALLOW="x86"
+   ABI="x86"
+}
 
 src_unpack() {
    unpack Wine-${PV}.tar.gz
@@ -76,6 +86,19 @@
       export DB2PS=true
    fi
 
+   if use amd64; then
+      if [ -f /usr/lib32/libX11.so ]; then 
+         myconf="${myconf} --x-libraries=/usr/lib32"
+      elif [ -f /emul/linux/x86/usr/lib/libX11.so ]; then
+         myconf="${myconf} --x-libraries=/emul/linux/x86/usr/lib"
+      elif [ -f /emul/linux/x86/usr/X11R6/lib/libX11.so ]; then
+         myconf="${myconf} --x-libraries=/emul/linux/x86/usr/X11R6/lib"
+      else
+         eerror "Couldn't find your 32bit X libs"
+         die "Couldn't find your 32bit X libs"
+      fi
+   fi
+
    #   $(use_enable amd64 win64)
    # USE=debug is broken in this release
    econf \
@@ -85,6 +108,7 @@
       $(use_with X x) \
       $(use_enable debug trace) \
       $(use_enable debug) \
+      ${myconf} \
       || die "configure failed"
 
    emake -j1 depend || die "depend"

Save the patch as "wine-20050310-amd64.diff" and patch the wine-20050310.ebuild (which you first copy to your portage overlay directory). Then do
Code:
# ebuild /path-to-your-portage-overlay/wine/wine-20050310.ebuild digest

to update portage manifest & digest files in your overlay directory. Then try to emerge wine again - now it should work. Oh, by the way, make sure that current emul-linux-x86-xlibs is installed (in /emul/linux/x86 on my machine with the 2005.0 profile).


wher do i get the wine-20050310.ebuild? :\
Back to top
View user's profile Send private message
zombics
n00b
n00b


Joined: 28 Feb 2005
Posts: 30
Location: israel

PostPosted: Tue Mar 15, 2005 8:32 pm    Post subject: Reply with quote

when i run the patch i get this error:
Code:

tux wine # patch -p0 -i wine-20050310-amd64.diff /usr/portage/app-emulation/wine/wine-20050310.ebuild
patching file /usr/portage/app-emulation/wine/wine-20050310.ebuild
Hunk #1 FAILED at 27.
Hunk #2 FAILED at 86.
Hunk #3 FAILED at 108.
3 out of 3 hunks FAILED -- saving rejects to file /usr/portage/app-emulation/wine/wine-20050310.ebuild.rej

this is what /usr/portage/app-emulation/wine/wine-20050310.ebuild.rej contains
Code:

***************
*** 27,40 ****
     jpeg? ( media-libs/jpeg )
     glut? ( virtual/glut )
     lcms? ( media-libs/lcms )
-    amd64? (
-       app-emulation/emul-linux-x86-xlibs
-       app-emulation/emul-linux-x86-soundlibs
     )"
  DEPEND="${RDEPEND}
     sys-devel/bison
     doc? ( app-text/docbook-sgml-utils app-text/jadetex )
     sys-devel/flex"

  src_unpack() {
     unpack Wine-${PV}.tar.gz
--- 27,50 ----
     jpeg? ( media-libs/jpeg )
     glut? ( virtual/glut )
     lcms? ( media-libs/lcms )
+    amd64? ( X? app-emulation/emul-linux-x86-xlibs \
+       alsa? app-emulation/emul-linux-x86-soundlibs \
+       jack? app-emulation/emul-linux-x86-soundlibs
     )"
+
  DEPEND="${RDEPEND}
     sys-devel/bison
     doc? ( app-text/docbook-sgml-utils app-text/jadetex )
     sys-devel/flex"
+
+ pkg_setup() {
+    has_m32 || die "your compiler seems to be unable to compile 32bit code. if
+    you are on amd64, make sure you compile gcc with USE=multilib
+    FEATURES=-sandbox"
+
+    ABI_ALLOW="x86"
+    ABI="x86"
+ }

  src_unpack() {
     unpack Wine-${PV}.tar.gz
***************
*** 76,81 ****
        export DB2PS=true
     fi

     #   $(use_enable amd64 win64)
     # USE=debug is broken in this release
     econf \
--- 86,104 ----
        export DB2PS=true
     fi

+    if use amd64; then
+       if [ -f /usr/lib32/libX11.so ]; then
+          myconf="${myconf} --x-libraries=/usr/lib32"
+       elif [ -f /emul/linux/x86/usr/lib/libX11.so ]; then
+          myconf="${myconf} --x-libraries=/emul/linux/x86/usr/lib"
+       elif [ -f /emul/linux/x86/usr/X11R6/lib/libX11.so ]; then
+          myconf="${myconf} --x-libraries=/emul/linux/x86/usr/X11R6/lib"
+       else
+          eerror "Couldn't find your 32bit X libs"
+          die "Couldn't find your 32bit X libs"
+       fi
+    fi
+
     #   $(use_enable amd64 win64)
     # USE=debug is broken in this release
     econf \
***************
*** 85,90 ****
        $(use_with X x) \
        $(use_enable debug trace) \
        $(use_enable debug) \
        || die "configure failed"

     emake -j1 depend || die "depend"
--- 108,114 ----
        $(use_with X x) \
        $(use_enable debug trace) \
        $(use_enable debug) \
+       ${myconf} \
        || die "configure failed"

     emake -j1 depend || die "depend"
Back to top
View user's profile Send private message
Shapemaker
n00b
n00b


Joined: 22 Aug 2004
Posts: 64
Location: Finland

PostPosted: Tue Mar 15, 2005 8:50 pm    Post subject: Reply with quote

zombics wrote:
wher do i get the wine-20050310.ebuild?

From your portage dir, of course :D

Quote:

when i run the patch i get this error:
Code:

tux wine # patch -p0 -i wine-20050310-amd64.diff /usr/portage/app-emulation/wine/wine-20050310.ebuild
patching file /usr/portage/app-emulation/wine/wine-20050310.ebuild
Hunk #1 FAILED at 27.
Hunk #2 FAILED at 86.
Hunk #3 FAILED at 108.
3 out of 3 hunks FAILED -- saving rejects to file /usr/portage/app-emulation/wine/wine-20050310.ebuild.rej

Dont use -p1 as patch option (since it strips paths), just run:
Code:
# patch wine-20050310.ebuild < wine-20050310-amd64.diff

As always, "man <foo>" is your friend. And don't patch files in portage directory, they will get overwritten with next sync. Make a dedicated portage overlay directory to store your own modifications in (see "man make.conf").

UPDATE: The patch above is for version 1.1 of the ebuild. Version 1.2 requires another one. For the new patch, see the following thread: http://forums.gentoo.org/viewtopic-t-308991.html.
_________________
"Intellectual Property" should be an affront to anyone capable of independent thought.
Back to top
View user's profile Send private message
lramos85
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jun 2004
Posts: 141
Location: Riverside, Ca

PostPosted: Fri Mar 18, 2005 5:54 pm    Post subject: Reply with quote

Does the patch work with cedega? (so I guess cedega talks to wine right?)

Everything installed just fine and I get no errors when doing
Code:
# cedega
but when I try to install steam
Code:
$ cedega SteamInstall.exe
This error comes out:
Code:
bash-2.05b$ cedega SteamInstall.exe
Could not load graphics driver 'x11drv'
Could not load graphics driver 'x11drv'
wine: Unhandled exception, starting debugger...


Can anyone help? Thanks.

I have an ATI Mobility Radeon 9700. UT-2004 Works perfectly.
_________________
Registered Linux User #328996
Register Now!
Adpot an unanswered post today!
Back to top
View user's profile Send private message
Slegge
n00b
n00b


Joined: 16 Dec 2004
Posts: 14

PostPosted: Sat Mar 19, 2005 12:49 am    Post subject: Reply with quote

You probably need to edit your /etc/env.d/04multilib file. It needs to include the paths to /emul/linux/x86/lib and /emul/linux/x86/usr/lib. That did the trick for me atleast...
Back to top
View user's profile Send private message
asjapulk
n00b
n00b


Joined: 15 Apr 2004
Posts: 71

PostPosted: Sun Mar 20, 2005 10:39 am    Post subject: Reply with quote

Didn't help me :cry:
2004.3 portage.
cedega-4.3

Slegge wrote:
You probably need to edit your /etc/env.d/04multilib file. It needs to include the paths to /emul/linux/x86/lib and /emul/linux/x86/usr/lib. That did the trick for me atleast...
Back to top
View user's profile Send private message
blackwhite
Apprentice
Apprentice


Joined: 24 Jun 2004
Posts: 250

PostPosted: Sat Mar 26, 2005 1:52 am    Post subject: Reply with quote

Quote:
EXTRA_ECONF="--x-libraries=/emul/linux/x86/usr/lib" emerge wine

refer this page.
http://forums.gentoo.org/viewtopic-t-308991-highlight-wine.html
Back to top
View user's profile Send private message
lramos85
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jun 2004
Posts: 141
Location: Riverside, Ca

PostPosted: Sun Mar 27, 2005 12:22 am    Post subject: Reply with quote

Ok, I'll try that, I hope it works with cedega. I just came back from SPRING BREAK 8) so I'll be back fighting for cedega to work. Thanks.
_________________
Registered Linux User #328996
Register Now!
Adpot an unanswered post today!
Back to top
View user's profile Send private message
lramos85
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jun 2004
Posts: 141
Location: Riverside, Ca

PostPosted: Sun Mar 27, 2005 11:11 am    Post subject: Reply with quote

Code:
EXTRA_ECONF="--x-libraries=/emul/linux/x86/usr/lib" emerge cedega

Did not work for me. If I do the same for wine will that work? I am really getting disapointed in ati-drivers and cedega.
_________________
Registered Linux User #328996
Register Now!
Adpot an unanswered post today!
Back to top
View user's profile Send private message
lramos85
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jun 2004
Posts: 141
Location: Riverside, Ca

PostPosted: Tue Mar 29, 2005 5:41 pm    Post subject: Reply with quote

I reached the lowest I could go :oops: I boot up windoze to play Halflife 2:!: :cry:
_________________
Registered Linux User #328996
Register Now!
Adpot an unanswered post today!
Back to top
View user's profile Send private message
mattjgalloway
l33t
l33t


Joined: 16 Mar 2004
Posts: 761
Location: Coventry, UK

PostPosted: Wed Apr 13, 2005 1:55 pm    Post subject: Reply with quote

Grr anyone found a fix to the cedega problem?

It seems to be since I switched to 2005.0 that i can't use cedega!!!!!!!!! I keep getting the x11drv error aswell. This is annoying!!
_________________
AMD64 3200+, 1024MB RAM, Gentoo Linux
MacBook Core Duo, 1024MB RAM, Leopard
Back to top
View user's profile Send private message
zombics
n00b
n00b


Joined: 28 Feb 2005
Posts: 30
Location: israel

PostPosted: Wed Apr 13, 2005 5:08 pm    Post subject: Reply with quote

after updating 2 2005.0
cedega works fine, but i still have problems with my wine compile :\
with this error:
Code:

/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib64/libXext.so when searching for -lXext
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib64/libXext.a when searching for -lXext
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../libXext.so when searching for -lXext
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../libXext.a when searching for -lXext
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libXext.so when searching for -lXext
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: skipping incompatible /usr/lib/libXext.a when searching for -lXext
/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.3-20050110/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lXext
collect2: ld returned 1 exit status
winegcc: gcc failed.
make[2]: *** [ddraw.dll.so] Error 2
make[2]: *** Waiting for unfinished jobs....
../../../tools/winegcc/winegcc -B../../../tools/winebuild -mconsole ddrawmodes.o testlist.o  -o ddraw_test.exe.so -L../../../libs/port -lwine_port -L../../../dlls -L../../../libs -lddraw -luser32 -lgdi32 -lkernel32
make[3]: Leaving directory `/var/tmp/portage/wine-20050310/work/wine-20050310/dlls/ddraw/tests'
make[2]: Leaving directory `/var/tmp/portage/wine-20050310/work/wine-20050310/dlls/ddraw'
make[1]: *** [ddraw] Error 2
make[1]: Leaving directory `/var/tmp/portage/wine-20050310/work/wine-20050310/dlls'
make: *** [dlls] Error 2
Back to top
View user's profile Send private message
mattjgalloway
l33t
l33t


Joined: 16 Mar 2004
Posts: 761
Location: Coventry, UK

PostPosted: Wed Apr 13, 2005 6:35 pm    Post subject: Reply with quote

Nnnice. Fixed it for me - I just did:

opengl-update nvidia

And that fixed it for me!
_________________
AMD64 3200+, 1024MB RAM, Gentoo Linux
MacBook Core Duo, 1024MB RAM, Leopard
Back to top
View user's profile Send private message
tnt
Veteran
Veteran


Joined: 27 Feb 2004
Posts: 1126

PostPosted: Thu Apr 28, 2005 1:34 pm    Post subject: Reply with quote

Code:
opengl-update nvidia

solved the problem for me, too.
_________________
gentoo user
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum